
// Copyright (c) 2024, Oracle and/or its affiliates. All rights reserved.
// Licensed under the Universal Permissive License v 1.0 as shown at https://oss.oracle.com/licenses/upl.

resource "oci_identity_policy" "gdk-function-policy" {
  compartment_id = var.compartment_ocid
  description = "compartment level policy for functions"
  name = "gdk-function-policy"
  statements = ["Allow any-user to use functions-family in compartment id ${var.compartment_ocid} where ALL {request.principal.type= 'ApiGateway', request.resource.compartment.id = '${var.compartment_ocid}' }"]
}
