
// Copyright (c) 2024, Oracle and/or its affiliates. All rights reserved.
// Licensed under the Universal Permissive License v 1.0 as shown at https://oss.oracle.com/licenses/upl.

variable "compartment_ocid" {}
variable "region" {}

variable "vcn_display_name" {
  default = "GDK-function-VCN"
}

variable "vcn_cidr" {
  default = "10.0.0.0/16"
}

variable "private_subnet_cidr" {
  default = "10.0.1.0/24"
}

variable "public_subnet_cidr" {
  default = "10.0.0.0/24"
}

variable "vcn_dns_label" {
  default     = "gdkFnVCN"
}

variable "subnet_dns_label" {
  default = "subnet"
}

variable "deployment_architecture" {
  type = string
  default = "GENERIC_X86"
  description = "The architecture of the hardware on which the function will run - GENERIC_X86 or GENERIC_ARM."
  validation {
    condition = contains(["GENERIC_X86", "GENERIC_ARM"], var.deployment_architecture)
    error_message = "The deployment_architecture value must be GENERIC_X86 or GENERIC_ARM."
  }
}